Package: groovy.util

## [Java] Class NodeList

- groovy.util.NodeList

- A List implementation which is returned by queries on a Node which provides some XPath like helper methods for GPath.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeList ()`
    `NodeList (Collection collection)`
    `NodeList (int size)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `clone()` Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
    `` | `NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
    `` | `NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
    `` | `void` | `plus(Closure c)`
    `` | `Node` | `replaceNode(Closure c)`
    `` | `protected static void` | `setMetaClass(Class nodelistClass, MetaClass metaClass)`
    `` | `String` | `text()` Returns the text value of all of the elements in the collection.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class ArrayList`

    `remove, remove, size, get, equals, hashCode, clone, indexOf, clear, lastIndexOf, isEmpty, replaceAll, add, add, subList, toArray, toArray, iterator, contains, spliterator, addAll, addAll, set, forEach, sort, ensureCapacity, trimToSize, removeIf, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, removeAll, retainAll, listIterator, listIterator, toString, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, parallelStream, reversed, reversed`

    `class AbstractList`

    `remove, get, equals, hashCode, indexOf, clear, lastIndexOf, add, add, subList, iterator, addAll, set, listIterator, listIterator, remove, size, toString, isEmpty, toArray, toArray, contains, addAll, removeAll, retainAll, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach, replaceAll, sort, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, reversed, reversed`

- - ### Constructor Detail

    - #### public NodeList()

    - #### public NodeList(Collection collection)

    - #### public NodeList(int size)

  - ### Method Detail

    - #### @Override public Object clone()

      Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).

      Returns:
        the clone

    - #### public NodeList getAt(String name)

      Provides lookup of elements by non-namespaced name.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### public NodeList getAt(QName name)

      Provides lookup of elements by QName.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### public void plus(Closure c)

    - #### public Node replaceNode(Closure c)

    - #### protected static void setMetaClass(Class nodelistClass, MetaClass metaClass)

    - #### public String text()

      Returns the text value of all of the elements in the collection.

      Returns:
        the text value of all the elements in the collection or null